Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces
Enum HeaderAlignment

    java.lang.Object
      java.lang.Enum<HeaderAlignment>
          org.richfaces.HeaderAlignment

All Implemented Interfaces:
  Serializable, Comparable<HeaderAlignment>

    public enum HeaderAlignment

extends Enum<HeaderAlignment>

Since:
  Aug 24, 2010
Author:
  akolonitsky

Enum Constant Summary
`bottom`
`center`
`left`
`right`
`top`

Method Summary
`static HeaderAlignment` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HeaderAlignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### left

    public static final HeaderAlignment left

### center

    public static final HeaderAlignment center

### right

    public static final HeaderAlignment right

### bottom

    public static final HeaderAlignment bottom

### top

    public static final HeaderAlignment top

Method Detail

### values

    public static HeaderAlignment[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HeaderAlignment c : HeaderAlignment.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HeaderAlignment valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.